Release Notes for the
Intel(R) Embedded Graphics Drivers (IEGD) 
with Configuration Editor (CED) Package

Version 10.3.1 Release
March 2010
======================================================================

Contents
========

- In This Release (Overview)
- Supported Chipsets
- New Features
- Getting Started
- VBIOS
- Embedded Pre-OS graphics feature (EPOG)
- Linux
- Windows*
- Windows CE 5.0 / 6.0R2
- Software Errata
- Software Licenses
- Legal / Disclaimers


In This Release 
================

This is a production release of the Intel(R) Embedded Graphics Drivers (IEGD).
These are the release notes for IEGD version 10.3.1. 
  
IEGD is designed specifically to support the unique Graphics Driver 
requirements of embedded applications for Intel embedded chipset-based 
platforms with integrated graphics capability.  

This release is a comprehensive package that includes all supported
O/S versions of IEGD, and the pre-installation configuration editor 
(CED) utility.  Highlights of the included files/folders are:
                                                                        
iegd-ced.exe                              Configuration Editor main file
License.txt                               IEGD License

\configuration                            CED main files

\features                                 CED copyright, license, and 
                                           version info

\JRE                                      Java engine for CED 

\Plugins                                  CED program files and support 
                                           files
\plugins\com.intel.iegd.drivers.xxx       Individual IEGD drivers 

\workspace                                Configured drivers and 
                                           associated files
\workspace\Documentation\RELNOTES.TXT     Release Notes
\workspace\Documentation\UsersGuide.pdf   IEGD User's Guide


Supported Chipsets
==================

Target system must contain one of the following Intel Chipsets or [CPU+GPU] combination device:

     Intel(R) Atom(TM) Processor 400 and 500 Series (Luna Pier; CPU+GPU).
     Intel(R) US15 System Controller Hub (Poulsbo).
     Intel(R) US15WP/WPT System Controller Hub (eMenlow XL).
     Intel(R) Q45/G45/G41 Express chipset 
     Mobile Intel(R) GM45/GL40/GS45 Express Chipset (Cantiga).
     Intel(R) Q35 Express Chipset.
     Mobile Intel(R) GLE960 Express Chipset.
     Mobile Intel(R) GME965 Express Chipset.
     Intel(R) Q965 Express Chipset.
     Mobile Intel(R) 945GME Express Chipset.
     Mobile Intel(R) 945GSE Express chipset
     Intel(R) 945G Express Chipset.
     Mobile Intel(R) 915GME Express Chipset.
     Intel(R) 915GV Express Chipset.
     Mobile Intel(R) 910GMLE Express Chipset.

Please check with your system provider to determine the Intel device used in your system.


New Features
============

This is a general release version 10.3.1 of the Intel(R) Embedded Graphics Drivers (IEGD).
This version contains all the new features and capabilities delivered with previous versions (10.1, 10.2, and 10.3) of IEGD.

In addition, this release contains the following new features and capabilities:
Added:
- Graphics Driver support for Intel(R) Atom(TM) Processor 400 and 500 Series (Luna Pier platform) for the following operating systems:
     - Microsoft: Windows XP (SP3), Windows XP Embedded (SP3), Windows Embedded
for Point of Service, Windows Embedded CE 6.0 R2
          --> Includes DirectDraw (DirectX* 9.0c, DirectX 8.1, DirectX 3), Direct3D* (DirectX 9.0c, DirectX 8.1) and DirectX Texture Compression (DXTC). 
     - Linux : Fedora* 10 (kernel 2.6.27, X.org 1.5)
          --> Includes OpenGL 1.4
     - DOS* Support (IBM PC 2000,* MS 6.22)
- Registry key set by default to enable software rendering for user interface content based on the Windows Presentation Foundation (WPF) graphical subsystem. This allows for better WPF rendering performance and lower CPU Utilization; for US15W only
- Hybrid multi-monitor support defined as a PCI- and PCI Express*-based graphics card operating concurrently with Intel’s chipset’s integrated graphics is supported fully with IEGD and the Q45/G41/G45 and GM45/GL40/GS45 chipsets
     - review IEGD v10.3.1 User’s Guide for additional details
     - refer to Intel’s white paper titled “Hybrid Multi-monitor Support; Enabling new usage models for Intel® Embedded Platforms” found at edc.intel.com/Software/Downloads/IEGD/#download, document # 323214.


This release also contains fixes for many issues described in the IEGD 10.3 Specification Update (errata) document.

For details on errata, including status information, refer to the Specification Update document available for
download at the Intel Premier Support Web site (premier.intel.com) and the Intel® Embedded Design Center (http://edc.intel.com).


Getting Started
===============

The first step is to install the CED release.  The setup and CED utility 
currently need a Windows (XP, XP Embedded, etc.) environment in which to 
operate. Simply click on the release to run the setup.  Default 
directory is:

 \IEGD\IEGD_x_x_x

where x_x_x is the version number and release type (Gold, hot-fix, beta, 
EC, etc.)

New versions will install in their own directory and do not disturb any 
existing CED installations so you can switch between versions as needed.

Once installed, you need only switch to the folder and click on the 
file:

 iegd-ced.exe

which will run the CED utility.

NOTE: Only one iteration of CED should be run at any time and as such 
      the program uses a semaphore lock file to prevent multiple 
      versions from being run at the same time.  If you receive an error
      indicating that another instance of CED is running yet no other 
      copies are running, then you can clear the improper lock by going 
      into the WORKSPACE folder in the version of CED you are attempting
      to run and delete the file named ".lock" which will clear the 
      lock.

Please see the IEGD User's Guide for your release for detailed 
configuration instructions.


=====
VBIOS
=====


VBIOS System Requirements
=========================

The VBIOS can be built on a host system and moved to the target system.
The host system should have installed a 32-bit Windows operating system
with the capability to execute DOS commands from a command line window.

The Target system should have DOS installed. Supported DOS versions are 
MS-DOS* 6.22, MS-DOS 7.1 (from Windows 98), or IBM PC DOS 2000*.

The Target system should contain a minimum of 64MB of RAM.

VBIOS Files
===========

The individual install file (for manual access/configuration) is found
under the IEGD install directory in \plugins\com.intel.iegd.drivers.xxx
\vbios folder (where xxx represents the release version)

The following describes the files used for building the VBIOS for each 
supported platform, where zzz indicates the chipset for which to build 
the specific Option ROM or TSR.

/Driver/zzz/orom/igd_uinit.h    Header file containing default 
                                  initialization settings
/Driver/zzz/orom/makefile       Makefile used to build VBIOS Option ROM
/Driver/zzz/orom/pd_init_all.c  C file containing structures and default
                                  initialization settings
/Driver/zzz/orom/vga-def.bin    Default VBIOS Option ROM for single CRT
                                  display
/Drivers/zzz/orom/lib/*         Library files used to build the VBIOS 
                                  option ROM
    libigdpinap.lib             For Napa graphics engine based chipsets
                                  (915/945)
    libigdpign4.lib             For Gen 4 graphics based chipsets
                                   (965)
    libigdpiplb.lib             For US15W/WP/WPT System Controller Hub
                                   
/Driver/zzz/tsr/igd_uinit.h     Header file containing default 
                                  initialization settings
/Driver/zzz/tsr/makefile        Makefile used to build VBIOS TSR
/Driver/zzz/tsr/pd_init_all.c   C file containing structures and default 
                                  initialization settings
/Driver/zzz/tsr/tsr-def.bin     Default VBIOS TSR for single CRT display
/Driver/zzz/tsr/lib/*	        Library files used to build the VBIOS 
                                  TSR


VBIOS: Building the VBIOS
=========================

The Intel Embedded VBIOS should be built using the CED utility. The 
VBIOS is built based on settings in CED configuration. When directed to 
do so, CED will automatically build both the VGA.BIN ROM image and a 
TSR.EXE based on your CED settings.  These files are ready to use 
directly out of the CED. Output will be found under the \workspace 
folder based on the chipset(s)you built. Details are provided in the 
User's Guide and in the CED online help.     

The Intel Embedded VBIOS may no longer be built manually using command 
line utilities.


VBIOS: Build Prerequisites
--------------------------

Before building your VBIOS in the CED, you must set up your environment 
with the Open Watcom 16-bit compiler. 

The CED relies on the Open Watcom C/C++ compiler to be able to build a 
16-bit DOS binary required for the BIOS.  The VBIOS has been tested with
version 1.7a of the Open Watcom compiler.  The latest version can be 
downloaded from the following location:

     http://www.openwatcom.com

You must set up the PATH in DOS to be able to execute the Watcom 
compiler. The directories for the ml.exe and nmake.exe programs should 
be included in the execution path variable in your DOS environment.


VBIOS: TSR and Option ROM
-------------------------

The TSR.exe (Terminate and Stay Resident) executable is useful for 
testing your VBIOS build before merging the option ROM with your system
firmware.  This program can be copied to the target machine.  To run the 
TSR, boot the target machine with DOS, and then run the TSR.exe from the 
DOS command line.

The CED also creates a VGA.bin file, which is the Option ROM which must 
be merged with your system firmware.  Contact your firmware provider for 
instructions on merging option ROMs with the system firmware.


End VBIOS
*********

=======================================
embedded pre-OS graphics feature (EPOG)
=======================================
The embedded pre-OS graphics feature (EPOG) is a graphics driver built 
for Boot Loader Development Kit (BLDK) environment which allows the target 
system to provide simple graphics display, splash screen and fast boot. It is 
supported on Linux (Moblin) and Windows CE OS via a linkable Interface 
Abstraction Layer Library. There is no size limitation on the embedded 
pre-OS graphics feature binary. This driver supports only single LVDS 
display.

The EPOG should be built using the CED utility. User shall configure the 
LVDS port with user-defined DTD using the CED utility prior to building the 
driver. Details are provided in the User's Guide and in the CED help.     

The following describes the components of EPOG.
libepog.a            Main EPOG library 
epog.h               For the BLDK environment to call the EPOG 
epog_converter.exe   For CED to configure the EPOG 
                       

End EPOG
************************************


=====
Linux
=====


Linux: System Requirements    
==========================    
    
This package includes drivers built for the following X servers: 
 
	X.org-xserver-1.3, 1.4, 1.5.3 and 1.6.x

Note the driver requires the official versions from www.X.org, and may 
not necessarily operate with versions that are part of your Linux 
distribution. 
 
The system should contain a minimum of 128MB of RAM.    
    
The Linux kernel Accelerated Graphics Port Graphics Address Remapping
Table(AGPGART) must support the supported Intel chipsets (see below for 
more information).    


Linux: Files
============

The individual Linux install file (for manual access/configuration) is 
found under the IEGD install directory in \plugins\com.intel.iegd.
drivers.xxx\linux folder (where xxx represents the release version).

The following files are contained in the Linux release: 
 
License/License.txt           License file for display driver 
Documents/RELNOTES.txt        Release notes 
Driver/Common/iegd_escape.h
Driver/Common/intel_escape.h  Intel(R) Escape client include 
Driver/Xorg-xserver-1.3/*.*   Xorg-xserver-1.3 binaries  
    analog.so                 Port driver for Internal CRT controller
    hdmi.so                   Port driver for Internal HDMI controller
    lvds.so                   Port Driver for Internal LVDS controller
    sdvo.so                   Port driver for SDVO devices
    softpd.so                 Port driver for VCH devices
    tv.so         	      Port driver for Internal TV controller				
    egl_iegd_dri.so           EGL module for OpenGL ES 
    egl_softpipe.so           EGL module for OpenGL ES
    egl_xdri.so               EGL module for OpenGL ES
    libEGL.so.1.0             EGL module for OpenGL ES 
    libEGLdri.so.1.0          EGL module for OpenGL ES
    iegd.4.gz                 IEGD manual page
    iegd_dri.so               IEGD direct rendering infrastructure for
                                 US15W/WP/WPT System Controller Hub
    iegd_drv.so               IEGD binary
    iegd_drv_video.so         IEGD video decode driver 
    iegd_escape.3x.gz         IEGD manual page
    libGL_ga.so.1.2           IEGD OpenGL library for US15W/WP/WPT 
                                 System Controller Hub 
    libGLESv1_CM.so.1.1.0     IEGD OpenGL ES1.1 library for US15W/WP/WPT 
                                 System Controller Hub 
    libGLESv2.so.2.0.0        IEGD OpenGL ES2.0 library for US15W/WP/WPT 
                                 System Controller Hub
    libGLgn3.so               Intel(R) Embedded Graphics Driver OpenGL
                                 library for 945 and earlier chipsets 
    libGLgn4.so               Intel(R) Embedded Graphics Driver OpenGL
                                 library for 965 chipsets  
    libva.so.0.29.0           VAAPI library for US15W/WP/WPT System 
                                 Controller Hub  
    libXiegd_escape.a         Intel(R) Escape client library 
    libXiegd_escape.so.2.0.0  Intel(R) Escape client shared library  
Driver/Xorg-xserver-1.4/*.*   Xorg-xserver-1.4 binaries
Driver/Xorg-xserver-1.5.3/*.* Xorg-xserver-1.5.3 binaries
Driver/Xorg-xserver-1.6.x/*.*   Xorg-xserver-1.6.x binaries
sdk/src/iegdui                Escape API sample code
Utilities/iegdgui             Display modes GUI utility 
Utilities/libiegdui.so 
Utilities/iegd_crg            Customer Report Generator for reporting 
                                 driver issues 
Utilities/install.sh          Linux Installer
IKM/                          IEGD Kernel Module for GART and DRM 
                              Replaces the patches for kernels 2.6 and 
                              later. Refer to the user's guide for more 
                              detail info.
   
The following files are contained in the IEGD_Patches directories: 
IEGD_Patches/DRIVER           Kernel patches for AGP GART
agpgart.patch-2.4.20          Patch for 2.4.20 kernel 
agpgart.patch-2.4.20-8        Patch for 2.4.20-8 kernel 
agpgart.patch-2.4.24          Patch for 2.4.24 kernel 
agpgart.patch-2.4.26          Patch for 2.4.26 kernel


Linux: Installation 
=================== 
 
Please see the IEGD User's Guide for detailed installation instructions.

Note: Default installation locations can vary so be sure to check your 
system for the proper path.


Linux: Patch /IKM Information 
----------------------------- 
 
Additional kernel changes are needed for the GART driver to support the 
Intel(R) Embedded Graphics X display driver.  This may be in the form of 
a patch, or may be a new GART interface such as the IEGD Kernel Module 
(IKM)which provides the necessary GART and DRM interfaces for IEGD.

Please see the User's Guide for details. 


OpenGL*  
-------

The OpenGL implementation for IEGD consists of three components. 
 
    libGL.so: This is the shared library that implements the OpenGL and 
	      GLX APIs. It is linked by all OpenGL applications. 
 
    iegd_mod.ko: This is the Direct Rendering Manager (DRM). It is a 
            kernel module that provides the OpenGL application with the 
	      permissions necessary to directly access the DMA buffers 
	      used by libGL. 
 
    X Server: The existing IEGD X server driver has been enhanced to 
	      communicate with libGL. 
 
Installing the IEGD OpenGL driver provides a fully hardware accelerated 
implementation of the OpenGL library to applications. This 
implementation makes use of a direct rendering technology, which allows 
the client to directly write to DMA buffers that are used by the 
Graphics Hardware. 
 
Due to the use of direct rendering technology, system designers should 
take special care to ensure that only trusted clients are allowed to use 
the OpenGL library. A malicious application could otherwise use direct 
rendering to destabilized the graphics hardware or, in theory, elevate 
their permissions on the system. 
 
A system designer can control the access to the direct rendering 
functionality by limiting the access to the DRI device file located at: 
 
   /dev/dri/card0 
 
The permissions on this device are set by the X-Server using the 
information provided in the "DRI" section of the xorg.conf file.

OGL Install:
------------

Please see the detailed install instructions in the Linux section of the
User's Guide to install the IEGD libGL.

    NOTE: The system likely has a version of libGL already installed. 
    You may want to make a backup copy of the existing library before 
    installing the IEGD library. 

OGL ES*
-------
OGL ES application requires the following shared libraries:
    libEGL.so
    libGLESv1_CM.so (for OGL ES 1.1)
    libGLESv2.so (for OGL ES2.0)
    iegd_dri.so
    egl_xdri.so
    egl_softpipe.so
    egl_iegd_dri.so
    libEGLdri.so


OGL ES Installation:
--------------------
Please refer to the User's Guide -> section "OpenGL Installation" for 
more detail on installing the OGLES.

End Linux
*********


=======
Windows
=======

Windows System Requirements
===========================

The development/host system (where CED utility resides) should have one the
following Windows operating systems installed:
	Microsoft Windows XP*                  SP3
	Microsoft Windows XP Professional*     SP3
	Microsoft Windows XP Embedded*         SP3
	Microsoft WEPOS*

The host system should contain a minimum of 128MB of RAM.


The target system should have one the following Windows operating 
systems installed:
	Microsoft Windows Embedded Standard 2009*
	Microsoft Windows XP*                      SP3
	Microsoft Windows XP Professional*         SP3
	Microsoft Windows XP Embedded*             SP3
      Microsoft WEPOS*		                   SP3


Windows Files
=============

The individual install file (for manual access/configuration) is found
under the IEGD install directory in \plugins\com.intel.iegd.drivers.xxx\
windows folder (where xxx represents the release version)

The following are found in the Windows Installation:

Driver\analog.sys	            Port driver for Internal CRT
Driver\analog.vp
Driver\hdmi.sys               Port driver for Internal HDMI.
Driver\hdmi.vp
Driver\iegd3dg3.dll           Direct3D support Dynamic Link Library
                                 for 945 and earlier chipsets
Driver\iegd3dg4.dll           Direct3D support Dynamic Link Library
                                 for 965 chipsets
Driver\iegd3dga.dll           Direct3D support Dynamic Link Library
                                 for US15W/WP/WPT System Controller Hub   
Driver\iegd.inf               Install configuration file for Display 
                                 driver
Driver\iegdcagt.cpa           Agent for COPP
Driver\iegdcagt.vp            Voucher file for COPP   
Driver\iegdckey.vp            Voucher file for COPP 
Driver\iegddis.dll            Display Driver
Driver\iegdglga.dll
Driver\iegdmini.sys           Miniport driver
Driver\iegdmsys.vp
Driver\libGLES_CM.dll
Driver\libGLES_CM.lib
Driver\libGLESv2.dll
Driver\libGLESv2.lib
Driver\lvds.sys               Port driver for Internal (GMCH) LVDS 
                                 controller
Driver\lvds.vp
Driver\sdvo.sys               Port driver for SDVO devices
Driver\sdvo.vp
Driver\softpd.sys             Port driver for VCH devices
Driver\tv.sys                 Port driver for Internal (GMCH) TV 
                                 controller
Driver\tv.vp
sdk\src\iegdui                Escape API sample code
Utilities\display_license.txt License agreement for display driver
Utilities\iegd_crg.exe        Customer Report Generator for reporting 
                                 driver issues
Utilities\iegdgui.dll         Library file for display modes GUI
Utilities\IEGDGUI.exe         Stand-alone display modes GUI executable
Utilities\iegdui.dll
Utilities\Setup.exe           Install/uninstall utility for driver
Documents\RELNOTES.txt        Release notes
License\License.txt           License governing the use of the driver- 
                                 Please READ and agree before using the 
                                 driver!


Installation and Un-installation
================================

Details can be found in the Windows section of the IEGD User's Guide.

This release contains an installer/uninstaller utility.  This utility 
does not, however, configure the driver.  Please be sure to update your 
iegd.inf file with appropriate settings for your display configuration 
prior to installation.  The installation program requires specific file 
names. If you have a different INF file for driver installation, you 
must name it iegd.inf and place it in the Drivers folder prior to 
running the installation with SETUP.EXE.

Do not move or alter the directories after unzipping the release 
package.  The installation utility uses relative path information, and 
must be run from the Utilities folder, and also requires the Driver 
folder.  If the folders are moved or renamed, the installation utility 
will not operate properly.

Also, be sure to not install this version of the driver with an 
existing installation of a previous version of the driver.  The 
installation utility will not uninstall previous versions of the Intel 
Embedded Graphics Driver, and you must begin from a fresh operating 
system installation.  Results are unpredictable if you install over a 
previous version of the Intel Embedded Graphics Driver. 

To run the installation, simply run the Setup.exe program located in 
the Utilities folder of the installation.  This must run from the 
Utilities folder. 

To uninstall this version of Intel Embedded Graphics Driver, run the 
Setup.exe program.


End Windows
***********

====================
Windows CE 5.0 / 6.0
====================


Windows CE: System Requirements
============================

Development systems should have the following software
installed.

	Platform Builder for Windows CE (latest service packs)
 	For WCE 6.0: Visual Studio 2005 (latest)

The target system should contain a minimum of 64MB of RAM, or 128MB if 
you will be using D3DM or 512MB if you will be using hardware video 
decode.

Windows CE 5.0: Files
===================================

The individual install file (for manual access/configuration) is found
under the IEGD install directory in \plugins\com.intel.iegd.drivers.xxx\
WCE50 folder (where xxx represents the release version)

This package contains the following drivers, files, and documents.

Documents\RELNOTES.TXT	     Release Notes
Driver\analog.dll            Port driver for Internal CRT controller.
Driver\analog.rel
Driver\config.bib            Example memory config file
Driver\ddi_iegd.dll          Display driver binary
Driver\ddi_iegd.rel          Compilation REL file
Driver\hdmi.dll              Port driver for Internal HDMI controller.
Driver\hdmi.rel
Driver\iegd3dg3.dll          gen3 core 3D module.
Driver\iegd3dg3.rel
Driver\iegd3dg4.dll          gen4 core 3D module.
Driver\iegd3dg4.rel
Driver\IEGD.reg              Registry settings for the platform
Driver\igd_Wince50.cec       Windows CE 5.0 Catalog feature file 
Driver\lvds.dll              Port driver for Internal (GMCH) LVDS 
                                controller
Driver\lvds.rel              File required for Internal (GMCH) LVDS 
                                build process
Driver\sdvo.dll              Port driver for SDVO devices
Driver\sdvo.rel              File required for SDVO encoder build 
                                process
Driver\tv.dll                Port driver for Internal (GMCH) TV 
                                controller
Driver\tv.rel                File required for Internal (GMCH) TV build 
                                process
License\License.txt          License agreement for display driver
Utilities\CEDriverInfo.exe   Stand-alone CE GUI executable provide 
                                driver info


Windows CE 6.0: Files
==============
The individual install file (for manual access/configuration) is found
under the IEGD install directory in \plugins\com.intel.iegd.drivers.xxx\
WCE60 folder (where xxx represents the release version)

This package contains the following drivers, files, and documents.

Documents\RELNOTES.TXT	     Release Notes
Driver\analog.dll            Port driver for Internal CRT controller.
Driver\analog.rel
Driver\config.bib            Example memory config file
Driver\ddi_iegd.dll          Display driver binary
Driver\ddi_iegd.rel          Compilation REL file
Driver\hdmi.dll              Port driver for Internal HDMI controller.
Driver\hdmi.rel
Driver\iegd3dg3.dll          gen3 core 3D module.
Driver\iegd3dg3.rel
Driver\iegd3dg4.dll          gen4 core 3D module.
Driver\iegd3dg4.rel
Driver\iegd3dga.dll
Driver\iegd3dga.rel
Driver\IEGD.reg              Registry settings for the platform
Driver\isr_iegd.dll          Display Driver ISR module
Driver\libGLES_CM.dll        OpenGL ES module
Driver\libGLES_CM.lib
Driver\libGLESv2.dll         OpenGL ES version 2.0 module
Driver\libGLESv2.lib
Driver\libOpenGL.dll         OpenGL module
Driver\libOpenGL.lib
Driver\lvds.dll              Port driver for Internal (GMCH) LVDS 
				        controller
Driver\lvds.rel              File required for Internal (GMCH) LVDS 
                                build process
Driver\sdvo.dll              Port driver for SDVO devices
Driver\sdvo.rel              File required for SDVO encoder build 
                                process
Driver\tv.dll                Port driver for Internal (GMCH) TV 
                                controller
Driver\tv.rel                File required for Internal (GMCH) TV build 
                                process
License\License.txt          License agreement for display driver
Utilities\CEDriverInfo.exe   Stand-alone CE GUI executable provide 
                                driver info


Windows CE: Installation
=====================

Details can be found in the Windows CE section of the IEGD User's Guide.
Please refer to the latest version of the IEGD User's Guide for more details.


Windows CE: Catalogue Feature File
===============================

A Catalogue Feature File has been included for Windows CE 5.0. Please refer to 
the latest version of the IEGD User's Guide for more details.


Windows CE: Escape API
===================

Some escape IOCTL code are exposed to user application space in order to 
control non-mode-dependent port device attributes, such as Brightness, 
Contrast, etc, raw I2C read/write, and port enable/disable.  Please see 
the separate "IEGD API" document for details on the functions and their 
use.

In addition to the above, two Microsoft reserved Windows escape codes 
are also supported in this release. They are SETPOWERMANAGEMENT and  
GETPOWERMANAGEMENT. However, in the implementation of 
GETPOWERMANAGEMENT, all power state requests apart from VideoPowerOn 
will only equate to powering down of the display ports.


Windows CE 6.0R2 - Take note of the April'09 Monthly Update
===================
After install the Microsoft April'09 Monthly Update, corruption may happen 
when playing video for *wmv (YV12) format. It is found out that this 
happen using Microsoft April'09 patch.

To avoid video corruption, please copy the wmvdmod.lib and wmvdmod.pdb 
files from following directory:
C:\WINCE600\Updates\Backup\090430_2009M04\PUBLIC\DIRECTX\OAK\LIB\X86\DEBUG
C:\WINCE600\Updates\Backup\090430_2009M04\PUBLIC\DIRECTX\OAK\LIB\X86\RETAIL
To 
C:\WINCE600\PUBLIC\DIRECTX\OAK\LIB\X86\DEBUG
C:\WINCE600\PUBLIC\DIRECTX\OAK\LIB\X86\RETAIL
After that, a clean sysgen is required.
It is recommended the user backup those two new files (wmvdmod.lib and 
wmvdmod.pdb) after patch install.

*This version of IEGD has been validated to support Windows CE 6.0 R2

WARNING - Windows CE 6.0 R3: IEGD has not yet been validated to support Windows CE 6.0 R3 (November '09 Monthly Update)


End Windows CE 5.0/6.0R2
************************


Software Errata
===============

This release also contains fixes for errata. For details on the errata, 
including status information, refer to the Errata document usually 
available in the download section of the Intel Premier Support (QuAD) 
system.

Software Licenses
=================

The Intel Embedded Graphics Drivers are subject to the terms of the 
license agreement located in the license file in this distribution 
package. Please read, understand, and agree to the terms before using 
the IEGD drivers or the IEGD Configuration Editor.


Legal / Disclaimers
===================

INFORMATION IN THIS DOCUMENT IS PROVIDED IN CONNECTION WITH INTEL(R) 
PRODUCTS. NO LICENSE, EXPRESS OR IMPLIED, BY ESTOPPEL OR OTHERWISE, TO 
ANY INTELLECTUAL PROPERTY RIGHTS IS GRANTED BY THIS DOCUMENT. EXCEPT AS 
PROVIDED IN INTEL'S TERMS AND CONDITIONS OF SALE FOR SUCH PRODUCTS, 
INTEL ASSUMES NO LIABILITY WHATSOEVER, AND INTEL DISCLAIMS ANY EXPRESS 
OR IMPLIED WARRANTY, RELATING TO SALE AND/OR USE OF INTEL PRODUCTS 
INCLUDING LIABILITY OR WARRANTIES RELATING TO FITNESS FOR A PARTICULAR 
PURPOSE, MERCHANTABILITY, OR INFRINGEMENT OF ANY PATENT, COPYRIGHT OR 
OTHER INTELLECTUAL PROPERTY RIGHT. Intel products are not intended for 
use in medical, life saving, life sustaining, critical control or 
safety systems, or in nuclear facility applications.

Intel may make changes to specifications and product descriptions at any
time, without notice.

(C) Intel Corporation 2010

* Other names and brands may be claimed as the property of others.

========================================================================
